tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

useless warnings about OS release mismatches


How come pkg_add(1) still gives us these useless warnings when the OS
release is not matching exactly but packages are still compatible?

pkg_add: NetBSD/x86_64 5.1 (pkg) vs. NetBSD/x86_64 5.1_STABLE (this host)

Can we make our tools smart enough to know that a package built for M.N
will run on any M.X ?  (If that is not actually the case, then we have
bigger problems and should rethink our release numbers, I guess.)


Attachment: pgpIu_H8YYuzD.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index